Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.sos
Class ComponentDescriptionDocument

    java.lang.Object
      org.deegree.framework.xml.XMLFragment
          org.deegree.ogcbase.OGCDocument
              org.deegree.ogcwebservices.sos.ComponentDescriptionDocument

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  PlatformDescriptionDocument, SensorDescriptionDocument

    public abstract class ComponentDescriptionDocument

extends OGCDocument

gets the metadata from a XSL transformed wfs result

Version:
  $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Matthias Kulbe , last edited by: $Author: mschneider $
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.deegree.ogcbase.OGCDocument
`GMLNS`

Fields inherited from class org.deegree.framework.xml.XMLFragment
`DEFAULT_URL, nsContext, XLNNS`

Constructor Summary
`ComponentDescriptionDocument()`

Method Summary
`abstract void` | `createEmptyDocument()` exceptions decleration must be there because this method will be overeritten by extending classes
`protected Address` | `getAddress(Node node)`
`protected String` | `getAttachedTo(Node node)` gets the attachedTo part of a Item
`protected Classifier` | `getClassifiedAs(Node node)` gets the classifiedAs part of a item
`protected ContactInfo` | `getContactInfo(Node node)`
`protected CoordinateReferenceSystem` | `getCoordinateReferenceSystemCRS(Node node)`
`protected ResponseModel` | `getDerivedFrom(Node node)`
`protected ComponentDescription` | `getDescribedBy(Node node)`
`protected Discussion` | `getDiscussion(Node node)`
`protected EngineeringCRS` | `getEngineeringCRS(Node node)`
`protected EngineeringCRS` | `getHasCRS(Node node)` gets the hasCRS part of a Item
`protected Identifier` | `getIdentifiedAs(Node node)` gets the identifiedAs part of a item
`protected LocationModel` | `getLocatedUsing(Node node)`
`protected OnlineResource` | `getOnlineResource(Node node)`
`protected Phone` | `getPhone(Node node)`
`protected Quantity` | `getQuantity(Node node)`
`protected Reference` | `getReference(Node node)`
`protected CitedResponsibleParty` | `getResponsibleParty(Node node)`
`protected TypedQuantity` | `getTypedQuantity(Node node)`
`protected Object` | `getUsesParametersFromGeoLocation(Node node)`
`protected Object` | `getUsesParametersFromResponseModel(Node node)`

Methods inherited from class org.deegree.ogcbase.OGCDocument
`parseCodeList, parseCodeListArray, parseExtendedPropertyPath, parseInterval, parseKeywords, parseKeywords, parseLonLatEnvelope, parseOnLineResource, parsePropertyPath, parseTimePeriod, parseTimePeriods, parseTimePositions, parseTimeSequence, parseTypedLiteral, parseValues`

Methods inherited from class org.deegree.framework.xml.XMLFragment
`getAsPrettyString, getAsString, getAttachedSchemas, getQualifiedName, getRootElement, getSystemId, hasSchema, load, load, load, parseQualifiedName, parseSimpleLink, prettyPrint, prettyPrint, resolve, setRootElement, setSystemId, setSystemId, toString, write, write, write, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ComponentDescriptionDocument

    public ComponentDescriptionDocument()

Method Detail

### createEmptyDocument

    public abstract void createEmptyDocument()
                                      throws IOException,
                                             SAXException

  exceptions decleration must be there because this method will be overeritten by extending classes

  Throws:
    `IOException`
    `SAXException`

### getIdentifiedAs

    protected Identifier getIdentifiedAs(Node node)
                                  throws XMLParsingException

  gets the identifiedAs part of a item

  Parameters:
    `node` -
  Returns:
    the identifiedAs part of a item (maybe `null`)
  Throws:
    `XMLParsingException`

### getClassifiedAs

    protected Classifier getClassifiedAs(Node node)
                                  throws XMLParsingException

  gets the classifiedAs part of a item

  Parameters:
    `node` -
  Returns:
    the classifiedAs part of a item (maybe `null`)
  Throws:
    `XMLParsingException`

### getAttachedTo

    protected String getAttachedTo(Node node)
                            throws XMLParsingException

  gets the attachedTo part of a Item

  Parameters:
    `node` -
  Returns:
    the attachedTo part of a Item (maybe `null`)
  Throws:
    `XMLParsingException`

### getHasCRS

    protected EngineeringCRS getHasCRS(Node node)
                                throws XMLParsingException

  gets the hasCRS part of a Item

  Parameters:
    `node` -
  Returns:
    the hasCRS part of a Item (maybe `null`)
  Throws:
    `XMLParsingException`

### getEngineeringCRS

    protected EngineeringCRS getEngineeringCRS(Node node)
                                        throws XMLParsingException

  Parameters:
    `node` -
  Returns:
    the crs
  Throws:
    `XMLParsingException`

### getCoordinateReferenceSystemCRS

    protected CoordinateReferenceSystem getCoordinateReferenceSystemCRS(Node node)
                                                                 throws XMLParsingException

  Parameters:
    `node` -
  Returns:
    the crs
  Throws:
    `XMLParsingException`

### getUsesParametersFromGeoLocation

    protected Object getUsesParametersFromGeoLocation(Node node)
                                               throws XMLParsingException,
                                                      URISyntaxException

  Parameters:
    `node` -
  Returns:
    the geo location?
  Throws:
    `XMLParsingException`
    `URISyntaxException`

### getUsesParametersFromResponseModel

    protected Object getUsesParametersFromResponseModel(Node node)
                                                 throws XMLParsingException,
                                                        URISyntaxException

  Parameters:
    `node` -
  Returns:
    the basic response?
  Throws:
    `XMLParsingException`
    `URISyntaxException`

### getQuantity

    protected Quantity getQuantity(Node node)
                            throws XMLParsingException,
                                   URISyntaxException

  Parameters:
    `node` -
  Returns:
    the quantity
  Throws:
    `XMLParsingException`
    `URISyntaxException`

### getTypedQuantity

    protected TypedQuantity getTypedQuantity(Node node)
                                      throws XMLParsingException,
                                             URISyntaxException

  Parameters:
    `node` -
  Returns:
    the bean
  Throws:
    `XMLParsingException`
    `URISyntaxException`

### getDescribedBy

    protected ComponentDescription getDescribedBy(Node node)
                                           throws MalformedURLException,
                                                  XMLParsingException

  Parameters:
    `node` -
  Returns:
    the bean
  Throws:
    `XMLParsingException`
    `MalformedURLException`

### getLocatedUsing

    protected LocationModel getLocatedUsing(Node node)
                                     throws XMLParsingException,
                                            URISyntaxException

  Parameters:
    `node` -
  Returns:
    the bean
  Throws:
    `XMLParsingException`
    `URISyntaxException`

### getDerivedFrom

    protected ResponseModel getDerivedFrom(Node node)
                                    throws XMLParsingException,
                                           URISyntaxException

  Parameters:
    `node` -
  Returns:
    the bean
  Throws:
    `XMLParsingException`
    `URISyntaxException`

### getReference

    protected Reference getReference(Node node)
                              throws MalformedURLException,
                                     XMLParsingException

  Parameters:
    `node` -
  Returns:
    the bean
  Throws:
    `MalformedURLException`
    `XMLParsingException`

### getDiscussion

    protected Discussion getDiscussion(Node node)
                                throws XMLParsingException

  Parameters:
    `node` -
  Returns:
    the bean
  Throws:
    `XMLParsingException`

### getOnlineResource

    protected OnlineResource getOnlineResource(Node node)
                                        throws XMLParsingException,
                                               MalformedURLException

  Parameters:
    `node` -
  Returns:
    the bean
  Throws:
    `XMLParsingException`
    `MalformedURLException`

### getPhone

    protected Phone getPhone(Node node)
                      throws XMLParsingException

  Parameters:
    `node` -
  Returns:
    the bean
  Throws:
    `XMLParsingException`

### getAddress

    protected Address getAddress(Node node)
                          throws XMLParsingException

  Parameters:
    `node` -
  Returns:
    the bean
  Throws:
    `XMLParsingException`

### getContactInfo

    protected ContactInfo getContactInfo(Node node)
                                  throws MalformedURLException,
                                         XMLParsingException

  Parameters:
    `node` -
  Returns:
    the bean
  Throws:
    `MalformedURLException`
    `XMLParsingException`

### getResponsibleParty

    protected CitedResponsibleParty getResponsibleParty(Node node)
                                                 throws MalformedURLException,
                                                        XMLParsingException

  Parameters:
    `node` -
  Returns:
    the bean
  Throws:
    `XMLParsingException`
    `XMLParsingException`
    `MalformedURLException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org